package horse_test

import (
	"testing"

	"git.sunturtle.xyz/zephyr/horse"
)

func TestTenThousandthsString(t *testing.T) {
	t.Parallel()
	cases := []struct {
		val  horse.TenThousandths
		want string
	}{
		{0, "0"},
		{500, "0.05"},
		{-500, "-0.05"},
		{10000, "1"},
		{-10000, "-1"},
		{15000, "1.5"},
		{-15000, "-1.5"},
		{10001, "1.0001"},
		{5000000, "500"},
	}
	for _, c := range cases {
		got := c.val.String()
		if got != c.want {
			t.Errorf("%d: want %q, got %q", c.val, c.want, got)
		}
	}
}
